//+------------------------------------------------------------------+
//|                                                         HedgeHog |
//|                                     Copyright  2006, Milan Volf |
//|                                                 milan@mmtop.info |
//+------------------------------------------------------------------+

//---- input parameters
extern int       Start=15;
extern int       StopLoss=50;
extern int       TakeProfit=10;
extern double    Lots=1;

extern double    Multiplier=2;
extern int       TimeLag=5;
extern int       DaysInTrade=2;

static int ClosedLong=0, ClosedShort=0;  
static int TicketLong,TicketShort;
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   //---- 
   int i,j,StartTime,Bought=0,Sold=0; 
   double Vol;
   string Text;
   
  
   //Count time
   StartTime= StrToTime(Start+":00");
   
   //Setup comment
   Text="HH"+Symbol();
   
   //Set orders
   if(CurTime()>= StartTime && CurTime()<StartTime+TimeLag*60){
      //Check Orders
      for (i=0;i<OrdersTotal();i++){
         OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
         if(OrderComment()==Text && OrderType()==OP_BUY && OrderOpenTime()>CurTime()-3600) Bought++;
         if(OrderComment()==Text && OrderType()==OP_SELL && OrderOpenTime()>CurTime()-3600) Sold++;
      }
      if(Bought==0){ //no buy order
         OrderSelect(TicketLong,SELECT_BY_TICKET);
         if(OrderProfit()< 0) ClosedLong++; else ClosedLong=0;
         Vol= NormalizeDouble(Lots*MathPow(Multiplier,ClosedLong),2);
         TicketLong=OrderSend(Symbol(),OP_BUY,Vol,Ask,3,Ask-StopLoss*Point,Ask+TakeProfit*Point,Text,0,0,Green);
         PlaySound("expert.wav");
         Sleep(10000);
      }
      if(Sold==0){ //no sell order
         OrderSelect(TicketShort,SELECT_BY_TICKET);
         if(OrderProfit()<0) ClosedShort++; else ClosedShort=0;
         Vol= NormalizeDouble(Lots*MathPow(Multiplier,ClosedShort),2);
         TicketShort=OrderSend(Symbol(),OP_SELL,Vol,Bid,3,Bid+StopLoss*Point,Bid-TakeProfit*Point,Text,0,0,Green);
         PlaySound("expert.wav");
         Sleep(10000);
      }
      
    
      
   
   //Manage opened orders
   for (i=0;i<OrdersTotal();i++){
      OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
      //close open position after 2 days
      if(OrderComment()==Text && CurTime()>=OrderOpenTime()+DaysInTrade*24*3600-300){
         if(OrderType()==OP_BUY){
            OrderClose(OrderTicket(),OrderLots(),Bid,3,Red);
            PlaySound("expert.wav");
           // ClosedLong++;
            //GlobalVariableSet("Closed",1);
            Sleep(10000);
         }
         if(OrderType()==OP_SELL){
            OrderClose(OrderTicket(),OrderLots(),Ask,3,Red);
            PlaySound("expert.wav");
           // ClosedShort++;
            //GlobalVariableSet("Closed",2);
            Sleep(10000);
         }
      }
   }
   
 
   }
   
   return(0);
   }
//+------------------------------------------------------------------+